package com.ym.mec.biz.handler;


import com.ym.mec.auth.api.entity.SysUser;

public class SysUserContextHolder {

	private static final ThreadLocal<SysUser> sysUserContextHolder = new ThreadLocal<SysUser>();

	public static void setSysUser(SysUser sysUser) {
		sysUserContextHolder.set(sysUser);
	}

	public static SysUser getSysUser() {
		return sysUserContextHolder.get();
	}

	public static void clearSysUser() {
		sysUserContextHolder.remove();
	}

}
